import 'dart:convert';

class LocationsModel {
  int? id;
  String? address;
  String? addressEn;

  LocationsModel({
    this.id,
    this.address,
    this.addressEn,
  });

  factory LocationsModel.fromRawJson(String str) =>
      LocationsModel.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory LocationsModel.fromJson(Map<String, dynamic> json) => LocationsModel(
        id: json["id"],
        address: json["address"],
        addressEn: json["address_en"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "address": address,
        "address_en": addressEn,
      };
}
